## Fios-Extender-(E3200)_GPL_release_3.1.0.13_20211014.zip

=== CMakeLists.txt ===
#
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.12 FATAL_ERROR)
if(POLICY CMP0074)
  cmake_policy(SET CMP0074 NEW) #3.12.0 `find_package()`` uses ``<PackageName>_ROOT`` variables.
endif()
#
PROJECT(libarchive C)
#
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/build/cmake")
if(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${libarchive_BINARY_DIR}/bin)
endif()
#
# Set the Build type for make based generators.
# You can choose following types:
#   Debug          : Debug build
#   Release        : Release build
#   RelWithDebInfo : Release build with Debug Info
#   MinSizeRel     : Release Min Size build
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "Build Type" FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)
# Set a value type to properly display CMAKE_BUILD_TYPE on GUI if the
# value type is "UNINITIALIZED".
GET_PROPERTY(cached_type CACHE CMAKE_BUILD_TYPE PROPERTY TYPE)
IF("${cached_type}" STREQUAL "UNINITIALIZED")
  SET(CMAKE_BUILD_TYPE "${CMAKE_BUILD_TYPE}" CACHE STRING "Build Type" FORCE)
ENDIF("${cached_type}" STREQUAL "UNINITIALIZED")
# Check the Build Type.
IF(NOT "${CMAKE_BUILD_TYPE}"
       MATCHES "^(Debug|Release|RelWithDebInfo|MinSizeRel)\$")
  MESSAGE(FATAL_ERROR
          "Unknown keyword for CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}\n"
          "Acceptable keywords: Debug,Release,RelWithDebInfo,MinSizeRel")
ENDIF(NOT "${CMAKE_BUILD_TYPE}"
          MATCHES "^(Debug|Release|RelWithDebInfo|MinSizeRel)\$")

# On MacOS, prefer MacPorts libraries to system libraries.
# I haven't come up with a compelling argument for this to be conditional.
list(APPEND CMAKE_PREFIX_PATH /opt/local)
# Enable @rpath in the install name.
# detail in "cmake  --help-policy CMP0042"
SET(CMAKE_MACOSX_RPATH ON)

#
# Version - read from 'version' file.
#
FILE(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/build/version _version)
STRING(REGEX REPLACE
 "^([0-9])[0-9][0-9][0-9][0-9][0-9][0-9][a-z]*$" "\\1" _major ${_version})
STRING(REGEX REPLACE
 "^[0-9]([0-9][0-9][0-9])[0-9][0-9][0-9][a-z]*$" "\\1" _minor ${_version})
STRING(REGEX REPLACE
 "^[0-9][0-9][0-9][0-9]([0-9][0-9][0-9])[a-z]*$" "\\1" _revision ${_version})
STRING(REGEX REPLACE
 "^[0-9][0-9][0-9][0-9][0-9][0-9][0-9]([a-z]*)$" "\\1" _quality ${_version})
SET(_version_number ${_major}${_minor}${_revision})
STRING(REGEX REPLACE "[0]*([^0]*[0-9])$" "\\1" _trimmed_minor ${_minor})
STRING(REGEX REPLACE "[0]*([^0]*[0-9])$" "\\1" _trimmed_revision ${_revision})
#
SET(VERSION                    "${_major}.${_trimmed_minor}.${_trimmed_revision}${_quality}")
SET(BSDCPIO_VERSION_STRING     "${VERSION}")
SET(BSDTAR_VERSION_STRING      "${VERSION}")
SET(BSDCAT_VERSION_STRING      "${VERSION}")
SET(LIBARCHIVE_VERSION_NUMBER  "${_version_number}")
SET(LIBARCHIVE_VERSION_STRING  "${VERSION}")

# INTERFACE_VERSION increments with every release
# libarchive 2.7 == interface version 9 = 2 + 7
# libarchive 2.8 == interface version 10 = 2 + 8
# libarchive 2.9 == interface version 11 = 2 + 9
# libarchive 3.0 == interface version 12
# libarchive 3.1 == interface version 13
math(EXPR INTERFACE_VERSION  "13 + ${_minor}")

# Set SOVERSION == Interface version
# ?? Should there be more here ??
SET(SOVERSION "${INTERFACE_VERSION}")

# Enalbe CMAKE_PUSH_CHECK_STATE() and CMAKE_POP_CHECK_STATE() macros
# saving and restoring the state of the variables.
INCLUDE(CMakePushCheckState)

# Initialize the state of the variables. This initialization is not
# necessary but this shows you what value the variables initially have.
SET(CMAKE_REQUIRED_DEFINITIONS)
SET(CMAKE_REQUIRED_INCLUDES)
SET(CMAKE_REQUIRED_LIBRARIES)
SET(CMAKE_REQUIRED_FLAGS)
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  OPTION(ENABLE_WERROR "Treat warnings as errors - default is ON for Debug, OFF otherwise." ON)
else ()
  OPTION(ENABLE_WERROR "Treat warnings as errors - default is ON for Debug, OFF otherwise." OFF)
endif ()

# Especially for early development, we want to be a little
# aggressive about diagnosing build problems; this can get
# relaxed somewhat in final shipping versions.
IF (CMAKE_C_COMPILER_ID MATCHES "^GNU$")
  SET(CMAKE_REQUIRED_FLAGS "-Wall -Wformat -Wformat-security")
  #################################################################
  # Set compile flags for all build types.
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wformat -Wformat-security")
  if (ENABLE_WERROR)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
  endif ()
  #################################################################
  # Set compile flags for debug build.
  # This is added into CMAKE_C_FLAGS when CMAKE_BUILD_TYPE is "Debug"
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wextra")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wunused")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wshadow")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wmissing-prototypes")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wcast-qual")
ENDIF (CMAKE_C_COMPILER_ID MATCHES "^GNU$")
IF (CMAKE_C_COMPILER_ID MATCHES "^Clang$")
  SET(CMAKE_REQUIRED_FLAGS "-Wall -Wformat -Wformat-security")
  #################################################################
  # Set compile flags for all build types.
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wformat -Wformat-security")
  if (ENABLE_WERROR)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
  endif ()
  #################################################################
  # Set compile flags for debug build.
  # This is added into CMAKE_C_FLAGS when CMAKE_BUILD_TYPE is "Debug"
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -g")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wextra")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wunused")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wshadow")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wmissing-prototypes")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -Wcast-qual")
ENDIF (CMAKE_C_COMPILER_ID MATCHES "^Clang$")
IF (CMAKE_C_COMPILER_ID MATCHES "^XL$")
  SET(CMAKE_C_COMPILER "xlc_r")
  SET(CMAKE_REQUIRED_FLAGS "-qflag=e:e -qformat=sec")
  #################################################################
  # Set compile flags for all build types.
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -qflag=e:e -qformat=sec")
  if (ENABLE_WERROR)
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -qhalt=w")
  endif ()
  #################################################################
  # Set compile flags for debug build.
  # This is added into CMAKE_C_FLAGS when CMAKE_BUILD_TYPE is "Debug"
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -g")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -qflag=w:w")
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -qinfo=pro:use")
ENDIF(CMAKE_C_COMPILER_ID MATCHES "^XL$")
IF (MSVC)
  if (ENABLE_WERROR)
    # /WX option is the same as gcc's -Werror option.
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /WX")
  endif ()
  #################################################################
  # Set compile flags for debug build.
  # This is added into CMAKE_C_FLAGS when CMAKE_BUILD_TYPE is "Debug"
  # Enable level 4 C4061: The enumerate has no associated handler in a switch
  #                       statement.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /we4061")
  # Enable level 4 C4254: A larger bit field was assigned to a smaller bit
  #                       field.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /we4254")
  # Enable level 4 C4295: An array was initialized but the last character in
  #                       the array is not a null; accessing the array may
  #                       produce unexpected results.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /we4295")
  # Enable level 4 C4296: An unsigned variable was used in a comparison
  #                       operation with zero.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /we4296")
  # Enable level 4 C4389: An operation involved signed and unsigned variables.
  #                       This could result in a loss of data.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /we4389")
  # Enable level 4 C4505: The given function is local and not referenced in
  #                       the body of the module; therefore, the function is
  #                       dead code.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /we4505")
  # Enable level 4 C4514: The optimizer removed an inline function that is not
  #                       called.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /we4514")
  # Enable level 4 C4702: Unreachable code.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /we4702")
  # Enable level 4 C4706: The test value in a conditional expression was the
  #                       result of an assignment.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /we4706")
  # /Oi option enables built-in functions.
  SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /Oi")
  #################################################################
  # Set compile flags for release build.
  SET(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /Oi")
ENDIF (MSVC)

# Enable CTest/CDash support
include(CTest)

OPTION(ENABLE_NETTLE "Enable use of Nettle" ON)
OPTION(ENABLE_OPENSSL "Enable use of OpenSSL" ON)
OPTION(ENABLE_LIBB2 "Enable the use of the system LIBB2 library if found" ON)
OPTION(ENABLE_LZ4 "Enable the use of the system LZ4 library if found" ON)
OPTION(ENABLE_LZO "Enable the use of the system LZO library if found" OFF)
OPTION(ENABLE_LZMA "Enable the use of the system LZMA library if found" ON)
OPTION(ENABLE_ZSTD "Enable the use of the system zstd library if found" ON)

OPTION(ENABLE_ZLIB "Enable the use of the system ZLIB library if found" ON)
OPTION(ENABLE_BZip2 "Enable the use of the system BZip2 library if found" ON)
OPTION(ENABLE_LIBXML2 "Enable the use of the system libxml2 library if found" ON)
OPTION(ENABLE_EXPAT "Enable the use of the system EXPAT library if found" ON)
OPTION(ENABLE_PCREPOSIX "Enable the use of the system PCREPOSIX library if found" ON)
OPTION(ENABLE_LibGCC "Enable the use of the system LibGCC library if found" ON)
# CNG is used for encrypt/decrypt Zip archives on Windows.
OPTION(ENABLE_CNG "Enable the use of CNG(Crypto Next Generation)" ON)

OPTION(ENABLE_TAR "Enable tar building" ON)
OPTION(ENABLE_TAR_SHARED "Enable dynamic build of tar" FALSE)
OPTION(ENABLE_CPIO "Enable cpio building" ON)
OPTION(ENABLE_CPIO_SHARED "Enable dynamic build of cpio" FALSE)
OPTION(ENABLE_CAT "Enable cat building" ON)
OPTION(ENABLE_CAT_SHARED "Enable dynamic build of cat" FALSE)
OPTION(ENABLE_XATTR "Enable extended attribute support" ON)
OPTION(ENABLE_ACL "Enable ACL support" ON)
OPTION(ENABLE_ICONV "Enable iconv support" ON)
OPTION(ENABLE_TEST "Enable unit and regression tests" ON)
OPTION(ENABLE_COVERAGE "Enable code coverage (GCC only, automatically sets ENABLE_TEST to ON)" FALSE)
OPTION(ENABLE_INSTALL "Enable installing of libraries" ON)

SET(POSIX_REGEX_LIB "AUTO" CACHE STRING "Choose what library should provide POSIX regular expression support")
SET(ENABLE_SAFESEH "AUTO" CACHE STRING "Enable use of /SAFESEH linker flag (MSVC only)")
SET(WINDOWS_VERSION "WIN7" CACHE STRING "Set Windows version to use (Windows only)")

IF(ENABLE_COVERAGE)
	include(LibarchiveCodeCoverage)
ENDIF(ENABLE_COVERAGE)

IF(ENABLE_TEST)
	ENABLE_TESTING()
ENDIF(ENABLE_TEST)

IF(WIN32)
  IF(WINDOWS_VERSION STREQUAL "WIN8")
    SET(NTDDI_VERSION 0x06020000)
    SET(_WIN32_WINNT 0x0602)
    SET(WINVER 0x0602)
  ELSEIF(WINDOWS_VERSION STREQUAL "WIN7")
    SET(NTDDI_VERSION 0x06010000)
    SET(_WIN32_WINNT 0x0601)
    SET(WINVER 0x0601)
  ELSEIF(WINDOWS_VERSION STREQUAL "WS08")
    SET(NTDDI_VERSION 0x06000100)
    SET(_WIN32_WINNT 0x0600)
    SET(WINVER 0x0600)
  ELSEIF(WINDOWS_VERSION STREQUAL "VISTA")
    SET(NTDDI_VERSION 0x06000000)
    SET(_WIN32_WINNT 0x0600)
    SET(WINVER 0x0600)
  ELSEIF(WINDOWS_VERSION STREQUAL "WS03")
    SET(NTDDI_VERSION 0x05020000)
    SET(_WIN32_WINNT 0x0502)
    SET(WINVER 0x0502)
  ELSEIF(WINDOWS_VERSION STREQUAL "WINXP")
    SET(NTDDI_VERSION 0x05010000)

=== Makefile ===
# 
# Copyright (C) 2011 Arcadyan
#
#

include $(TOPDIR)/rules.mk

PKG_NAME:=sscep
PKG_VERSION:=0.6.1
PKG_RELEASE:=1

PKG_BUILD_DIR := $(BUILD_DIR)/$(PKG_NAME)
#PKG_BUILD_DEPENDS:=libopenssl

MKDIR:=mkdir -p
RM:=rm -rf

include $(INCLUDE_DIR)/package.mk

ifeq ($(__target_inc),)
  include $(INCLUDE_DIR)/target.mk
endif

define Package/sscep
  SECTION:=net
  CATEGORY:=Network
  TITLE:=SCEP client for Linux
  URL:=https://github.com/certnanny/sscep.git
  DEPENDS:=+libopenssl
endef

define Package/sscep/description
 SCEP client for Linux.
endef

TARGET_CFLAGS += -fstack-protector-strong

define Build/Configure
endef

define Build/Prepare
	mkdir -p $(PKG_BUILD_DIR)
	$(call Build/Prepare/Default)
	if [ -d ./src ] ; then \
		$(CP) ./src/* $(PKG_BUILD_DIR)/. ; \
	fi
endef

define Build/Compile
	### Set 'build/$(SCAN_REPORT_DIR)/$(PKG_NAME)' as the output directory for analyzer reports if CLANG_ANALYZE == yes ###
	if [ "$(CLANG_ANALYZE)" = "yes" ] ; then \
		$(MKDIR) $(SCAN_REPORT_DIR)/$(PKG_NAME); \
		$(CLANG_BUILD) -o $(SCAN_REPORT_DIR)/$(PKG_NAME) $(MAKE) -C $(PKG_BUILD_DIR) CC="$(CLANG_CC)" CCC_CC="$(TARGET_CC)" CFLAGS="$(TARGET_CFLAGS) -Wall -I$(STAGING_DIR)/usr/include" \
			CPPFLAGS="$(TARGET_CPPFLAGS)" LD="$(TARGET_CROSS)ld" LDFLAGS="$(TARGET_LDFLAGS)" \
			STRIP="$(TARGET_CROSS)strip" \
			DEV_DIR="$(STAGING_DIR)" ; \
	else \
	$(MAKE) -C $(PKG_BUILD_DIR) CC="$(TARGET_CC)" CFLAGS="$(TARGET_CFLAGS) -Wall -I$(STAGING_DIR)/usr/include" \
		CPPFLAGS="$(TARGET_CPPFLAGS)" LD="$(TARGET_CROSS)ld" LDFLAGS="$(TARGET_LDFLAGS)"  \
		STRIP="$(TARGET_CROSS)strip" \
		DEV_DIR="$(STAGING_DIR)" ; \
	fi

	$(RM) $(PKG_INSTALL_DIR)
	$(MKDIR) $(PKG_INSTALL_DIR)
	$(MAKE) -C $(PKG_BUILD_DIR) INSTALL_DIR="$(INSTALL_DIR)" INSTALL_BIN="$(INSTALL_BIN)" INSTALL_DATA="$(INSTALL_DATA)" \
		CP="$(CP)" CONFIG_PREFIX="$(PKG_INSTALL_DIR)"  DEV_DIR="$(STAGING_DIR)" install;
endef

define Build/InstallDev
endef

define Package/sscep/install
	$(INSTALL_DIR) $(1)/usr/sbin
	$(CP) $(PKG_BUILD_DIR)/sscep $(1)/usr/sbin/.
	$(INSTALL_DIR) $(1)/etc/config
	$(INSTALL_CONF) ./files/sscep.config $(1)/etc/config/sscep
endef

define Build/sscep/clean
	@- [ -e $(PKG_BUILD_DIR)/Makefile ] && $(MAKE) -C $(PKG_BUILD_DIR) clean
	$(call Build/Clean/Default)
endef

$(eval $(call BuildPackage,sscep))

=== requirements.txt ===
nose==1.3.7
ply==3.10
pep8==1.7.1
pylint==1.8.2
astroid==1.6.1
logilab-common<=0.63.0

=== include/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.mak

all:

clean:

distclean:

HEADERS = $(filter-out .svn CVS Makefile,$(wildcard *))
install:
	$(INSTALL) -d $(PREFIX)$(UCLIBCXX_RUNTIME_INCLUDEDIR)
	$(INSTALL) -m 644 $(HEADERS) $(PREFIX)$(UCLIBCXX_RUNTIME_INCLUDEDIR)

=== libarchive/CMakeLists.txt ===

############################################
#
# How to build libarchive
#
############################################

# Public headers
SET(include_HEADERS
  archive.h
  archive_entry.h
)

# Sources and private headers
SET(libarchive_SOURCES
  archive_acl.c
  archive_acl_private.h
  archive_check_magic.c
  archive_cmdline.c
  archive_cmdline_private.h
  archive_crc32.h
  archive_cryptor.c
  archive_cryptor_private.h
  archive_digest.c
  archive_digest_private.h
  archive_endian.h
  archive_entry.c
  archive_entry.h
  archive_entry_copy_stat.c
  archive_entry_link_resolver.c
  archive_entry_locale.h
  archive_entry_private.h
  archive_entry_sparse.c
  archive_entry_stat.c
  archive_entry_strmode.c
  archive_entry_xattr.c
  archive_getdate.c
  archive_getdate.h
  archive_hmac.c
  archive_hmac_private.h
  archive_match.c
  archive_openssl_evp_private.h
  archive_openssl_hmac_private.h
  archive_options.c
  archive_options_private.h
  archive_pack_dev.h
  archive_pack_dev.c
  archive_pathmatch.c
  archive_pathmatch.h
  archive_platform.h
  archive_platform_acl.h
  archive_platform_xattr.h
  archive_ppmd_private.h
  archive_ppmd8.c
  archive_ppmd8_private.h
  archive_ppmd7.c
  archive_ppmd7_private.h
  archive_private.h
  archive_random.c
  archive_random_private.h
  archive_rb.c
  archive_rb.h
  archive_read.c
  archive_read_add_passphrase.c
  archive_read_append_filter.c
  archive_read_data_into_fd.c
  archive_read_disk_entry_from_file.c
  archive_read_disk_posix.c
  archive_read_disk_private.h
  archive_read_disk_set_standard_lookup.c
  archive_read_extract.c
  archive_read_extract2.c
  archive_read_open_fd.c
  archive_read_open_file.c
  archive_read_open_filename.c
  archive_read_open_memory.c
  archive_read_private.h
  archive_read_set_format.c
  archive_read_set_options.c
  archive_read_support_filter_all.c
  archive_read_support_filter_bzip2.c
  archive_read_support_filter_compress.c
  archive_read_support_filter_gzip.c
  archive_read_support_filter_grzip.c
  archive_read_support_filter_lrzip.c
  archive_read_support_filter_lz4.c
  archive_read_support_filter_lzop.c
  archive_read_support_filter_none.c
  archive_read_support_filter_program.c
  archive_read_support_filter_rpm.c
  archive_read_support_filter_uu.c
  archive_read_support_filter_xz.c
  archive_read_support_filter_zstd.c
  archive_read_support_format_7zip.c
  archive_read_support_format_all.c
  archive_read_support_format_ar.c
  archive_read_support_format_by_code.c
  archive_read_support_format_cab.c
  archive_read_support_format_cpio.c
  archive_read_support_format_empty.c
  archive_read_support_format_iso9660.c
  archive_read_support_format_lha.c
  archive_read_support_format_mtree.c
  archive_read_support_format_rar.c
  archive_read_support_format_rar5.c
  archive_read_support_format_raw.c
  archive_read_support_format_tar.c
  archive_read_support_format_warc.c
  archive_read_support_format_xar.c
  archive_read_support_format_zip.c
  archive_string.c
  archive_string.h
  archive_string_composition.h
  archive_string_sprintf.c
  archive_util.c
  archive_version_details.c
  archive_virtual.c
  archive_write.c
  archive_write_disk_posix.c
  archive_write_disk_private.h
  archive_write_disk_set_standard_lookup.c
  archive_write_private.h
  archive_write_open_fd.c
  archive_write_open_file.c
  archive_write_open_filename.c
  archive_write_open_memory.c
  archive_write_add_filter.c
  archive_write_add_filter_b64encode.c
  archive_write_add_filter_by_name.c
  archive_write_add_filter_bzip2.c
  archive_write_add_filter_compress.c
  archive_write_add_filter_grzip.c
  archive_write_add_filter_gzip.c
  archive_write_add_filter_lrzip.c
  archive_write_add_filter_lz4.c
  archive_write_add_filter_lzop.c
  archive_write_add_filter_none.c
  archive_write_add_filter_program.c
  archive_write_add_filter_uuencode.c
  archive_write_add_filter_xz.c
  archive_write_add_filter_zstd.c
  archive_write_set_format.c
  archive_write_set_format_7zip.c
  archive_write_set_format_ar.c
  archive_write_set_format_by_name.c
  archive_write_set_format_cpio.c
  archive_write_set_format_cpio_newc.c
  archive_write_set_format_filter_by_ext.c
  archive_write_set_format_gnutar.c
  archive_write_set_format_iso9660.c
  archive_write_set_format_mtree.c
  archive_write_set_format_pax.c
  archive_write_set_format_raw.c
  archive_write_set_format_shar.c
  archive_write_set_format_ustar.c
  archive_write_set_format_v7tar.c
  archive_write_set_format_warc.c
  archive_write_set_format_xar.c
  archive_write_set_format_zip.c
  archive_write_set_options.c
  archive_write_set_passphrase.c
  archive_xxhash.h
  filter_fork_posix.c
  filter_fork.h
  xxhash.c
)

# Man pages
SET(libarchive_MANS
  archive_entry.3
  archive_entry_acl.3
  archive_entry_linkify.3
  archive_entry_misc.3
  archive_entry_paths.3
  archive_entry_perms.3
  archive_entry_stat.3
  archive_entry_time.3
  archive_read.3
  archive_read_add_passphrase.3
  archive_read_data.3
  archive_read_disk.3
  archive_read_extract.3
  archive_read_filter.3
  archive_read_format.3
  archive_read_free.3
  archive_read_header.3
  archive_read_new.3
  archive_read_open.3
  archive_read_set_options.3
  archive_util.3
  archive_write.3
  archive_write_blocksize.3
  archive_write_data.3
  archive_write_disk.3
  archive_write_filter.3
  archive_write_finish_entry.3
  archive_write_format.3
  archive_write_free.3
  archive_write_header.3
  archive_write_new.3
  archive_write_open.3
  archive_write_set_options.3
  archive_write_set_passphrase.3
  cpio.5
  libarchive.3
  libarchive_changes.3
  libarchive_internals.3
  libarchive-formats.5
  mtree.5
  tar.5
)

IF(WIN32 AND NOT CYGWIN)
  LIST(APPEND libarchive_SOURCES archive_entry_copy_bhfi.c)
  LIST(APPEND libarchive_SOURCES archive_read_disk_windows.c)
  LIST(APPEND libarchive_SOURCES archive_windows.c)
  LIST(APPEND libarchive_SOURCES archive_windows.h)
  LIST(APPEND libarchive_SOURCES archive_write_disk_windows.c)
  LIST(APPEND libarchive_SOURCES filter_fork_windows.c)
ENDIF(WIN32 AND NOT CYGWIN)

IF(ARCHIVE_BLAKE2)
  LIST(APPEND libarchive_SOURCES archive_blake2sp_ref.c)
  LIST(APPEND libarchive_SOURCES archive_blake2s_ref.c)
ENDIF(ARCHIVE_BLAKE2)

IF(ARCHIVE_ACL_DARWIN)
  LIST(APPEND libarchive_SOURCES archive_disk_acl_darwin.c)
ELSEIF(ARCHIVE_ACL_FREEBSD)
  LIST(APPEND libarchive_SOURCES archive_disk_acl_freebsd.c)
ELSEIF(ARCHIVE_ACL_LIBACL)
  LIST(APPEND libarchive_SOURCES archive_disk_acl_linux.c)
ELSEIF(ARCHIVE_ACL_SUNOS)
  LIST(APPEND libarchive_SOURCES archive_disk_acl_sunos.c)
ENDIF()

# Libarchive is a shared library
ADD_LIBRARY(archive SHARED ${libarchive_SOURCES} ${include_HEADERS})
TARGET_INCLUDE_DIRECTORIES(archive PUBLIC .)
TARGET_LINK_LIBRARIES(archive ${ADDITIONAL_LIBS})
SET_TARGET_PROPERTIES(archive PROPERTIES SOVERSION ${SOVERSION})

# archive_static is a static library
ADD_LIBRARY(archive_static STATIC ${libarchive_SOURCES} ${include_HEADERS})
TARGET_LINK_LIBRARIES(archive_static ${ADDITIONAL_LIBS})
SET_TARGET_PROPERTIES(archive_static PROPERTIES COMPILE_DEFINITIONS
  LIBARCHIVE_STATIC)
# On Posix systems, libarchive.so and libarchive.a can co-exist.
IF(NOT WIN32 OR CYGWIN)
  SET_TARGET_PROPERTIES(archive_static PROPERTIES OUTPUT_NAME archive)
ENDIF(NOT WIN32 OR CYGWIN)

IF(ENABLE_INSTALL)
  # How to install the libraries
  INSTALL(TARGETS archive archive_static
          RUNTIME DESTINATION bin
          LIBRARY DESTINATION lib
          ARCHIVE DESTINATION lib)
  INSTALL_MAN(${libarchive_MANS})
  INSTALL(FILES ${include_HEADERS} DESTINATION include)
ENDIF()

add_subdirectory(test)

=== src/Makefile ===
#
# Makefile for Linux
#

BINDIR = /opt/CertNanny/bin
MANDIR = /usr/local/man/man8

CC	= gcc
WITH_DEBUG   = -g
OPENSSL = ../openssl
CFLAGS	= -Wall -O $(WITH_DEBUG) -I $(OPENSSL)/include 

LDFLAGS = -L$(OPENSSL)
LDLIBS = -lcrypto -lssl

MAN	= sscep.8
PROG	= sscep
OBJS    = sscep.o init.o net.o  http.o sceputils.o pkcs7.o ias.o fileutils.o configuration.o engine.o

all: $(PROG)

$(PROG)_static: $(OBJS)
	$(CC) $(CFLAGS) -o $(PROG)_static $(OBJS) $(OPENSSL)/libcrypto.a -ldl

$(PROG): $(OBJS)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(LDLIBS) $(LDFLAGS)

%.o : %.c
	$(CC) $(CFLAGS) -g -c $< -o $@ 
	
clean:
	rm -f $(PROG) $(OBJS) $(MAN) core

install:
	echo "TODO: install target"

package: all
	echo "Creating package..."
	Linux/make_Linux_package.sh

=== tests/CMakeLists.txt ===
add_test_subdirectory(unit)
add_subdirectory(loggen)
add_subdirectory(functional)

=== tests/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.mak

WR_CXX := WRAPPER_INCLUDEDIR=-I$(TOPDIR)include WRAPPER_LIBDIR=-L$(TOPDIR)src $(TOPDIR)bin/g++-uc

CXXOFLAGS := -Wall -pedantic -Os -g3 -ansi $(EH_CXXFLAGS)

TEST_SRCS	:= $(wildcard *test.cpp)
UTILITY_SRCS	:= testframework.cpp

ifneq ($(UCLIBCXX_HAS_WCHAR),y)
TEST_SRCS	:= $(filter-out wchartest.cpp,$(TEST_SRCS))
endif

ifneq ($(UCLIBCXX_EXCEPTION_SUPPORT),y)
TEST_SRCS	:= $(filter-out excepttest.cpp,$(TEST_SRCS))
endif

UTILITY_OBJS	:= $(patsubst %.cpp,%.o, $(UTILITY_SRCS))
OLDUTILITY_OBJS	:= $(patsubst %.cpp,%-old.o, $(UTILITY_SRCS))

EXOBJS		:= $(patsubst %.cpp,%.o, $(TEST_SRCS))
OLDOBJS		:= $(patsubst %.cpp,%-old.o, $(TEST_SRCS))

ALLBIN	:= $(patsubst %.cpp,%, $(TEST_SRCS))

OLDBIN	:= $(patsubst %.cpp,%-old, $(TEST_SRCS))

LDFLAGS-valarraytest := -lm

ifeq ($(DODEBUG),y)
all:	$(ALLBIN) $(OLDBIN)
else
all:	$(ALLBIN)
endif

clean:
	$(RM) $(ALLBIN) $(OLDBIN)
	$(RM) *.o *.o-old core
	$(MAKE) -C testoutput clean

test:	all
	$(MAKE) -C testoutput test

$(ALLBIN): $(EXOBJS) $(UTILITY_OBJS)
	$(WR_CXX) $(LDFLAGS) $(UTILITY_OBJS) -o $@ $@.o $(LDFLAGS-$(notdir $(@)))

$(OLDBIN): $(OLDOBJS) $(OLDUTILITY_OBJS)
	$(HOSTCXX) $(LDFLAGS) $(UTILITY_OBJS) -o $@ $@.o $(LDFLAGS-$(notdir $(@)))

$(EXOBJS): %.o : %.cpp
	$(WR_CXX) $(CXXFLAGS) $(CXXFLAGS-$(notdir $(*))) -o $@ -c $<

$(OLDOBJS): %-old.o : %.cpp
	$(HOSTCXX) $(CXXFLAGS) $(CXXFLAGS-$(notdir $(*))) -o $@ -c $<

$(UTILITY_OBJS): %.o : %.cpp
	$(WR_CXX) $(CXXFLAGS) -o $@ -c $<

$(OLDUTILITY_OBJS): %-old.o : %.cpp
	$(HOSTCXX) $(CXXFLAGS) -o $@ -c $<

=== tipc/Makefile ===
# SPDX-License-Identifier: GPL-2.0
include ../config.mk

TARGETS :=

ifeq ($(HAVE_MNL),y)

TIPCOBJ=bearer.o \
    cmdl.o link.o \
    media.o misc.o \
    msg.o nametable.o \
    node.o socket.o \
    peer.o tipc.o

TARGETS += tipc

endif

all: $(TARGETS) $(LIBS)

tipc: $(TIPCOBJ)
	$(QUIET_LINK)$(CC) $^ $(LDFLAGS) $(LDLIBS) -o $@

install: all
	install -m 0755 $(TARGETS) $(DESTDIR)$(SBINDIR)

clean:
	rm -f $(TIPCOBJ) $(TARGETS)

=== upgraded/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

PROJECT(upgraded C)
FIND_PATH(ubox_include_dir libubox/uloop.h)
INCLUDE_DIRECTORIES(${ubox_include_dir})
ADD_DEFINITIONS(-Os -ggdb -Wall -Werror --std=gnu99 -Wmissing-declarations)
ADD_EXECUTABLE(upgraded upgraded.c ../watchdog.c)
TARGET_LINK_LIBRARIES(upgraded ubox)
INSTALL(TARGETS upgraded
	RUNTIME DESTINATION sbin
)

=== lib/compat/CMakeLists.txt ===
set(COMPAT_HEADERS
    compat/compat.h
    compat/getutent.h
    compat/glib.h
    compat/lfs.h
    compat/pio.h
    compat/socket.h
    compat/string.h
    compat/time.h
    compat/openssl_support.h
    compat/pcre.h
    compat/getent.h
    compat/getent-bb.h
    PARENT_SCOPE)

set(COMPAT_SOURCES
    compat/getutent.c
    compat/glib.c
    compat/inet_aton.c
    compat/memrchr.c
    compat/pio.c
    compat/strcasestr.c
    compat/strtok_r.c
    compat/strnlen.c
    compat/time.c
    compat/openssl_support.c
    compat/getent.c
    PARENT_SCOPE)

add_test_subdirectory(tests)

=== lib/cpp/Makefile ===
include ../../config.mk

ifneq ($(UNAME),SunOS)
	LIB_LDFLAGS:=$(LDFLAGS) -Wl,-soname,libmosquittopp.so.${SOVERSION}
endif

.PHONY : clean install

ALL_DEPS=libmosquittopp.so.${SOVERSION}

ifeq ($(WITH_STATIC_LIBRARIES),yes)
    ALL_DEPS+=libmosquittopp.a
endif

all : ${ALL_DEPS}

install : all
	$(INSTALL) -d "${DESTDIR}${libdir}/"
	$(INSTALL) ${STRIP_OPTS} libmosquittopp.so.${SOVERSION} "${DESTDIR}${libdir}/libmosquittopp.so.${SOVERSION}"
	ln -sf libmosquittopp.so.${SOVERSION} "${DESTDIR}${libdir}/libmosquittopp.so"
ifeq ($(WITH_STATIC_LIBRARIES),yes)
	$(INSTALL) libmosquittopp.a "${DESTDIR}${libdir}/libmosquittopp.a"
	${CROSS_COMPILE}${STRIP} -g --strip-unneeded "${DESTDIR}${libdir}/libmosquittopp.a"
endif
	$(INSTALL) -d "${DESTDIR}${incdir}/"
	$(INSTALL) mosquittopp.h "${DESTDIR}${incdir}/mosquittopp.h"
	$(INSTALL) -d "${DESTDIR}${libdir}/pkgconfig/"
	$(INSTALL) -m644 ../../libmosquittopp.pc.in "${DESTDIR}${libdir}/pkgconfig/libmosquittopp.pc"
	sed -i -e "s#@CMAKE_INSTALL_PREFIX@#${prefix}#" -e "s#@VERSION@#${VERSION}#" "${DESTDIR}${libdir}/pkgconfig/libmosquittopp.pc"

uninstall :
	-rm -f "${DESTDIR}${libdir}/libmosquittopp.so.${SOVERSION}"
	-rm -f "${DESTDIR}${libdir}/libmosquittopp.so"
	-rm -f "${DESTDIR}${libdir}/libmosquittopp.a"
	-rm -f "${DESTDIR}${incdir}/mosquittopp.h"

clean :
	-rm -f *.o libmosquittopp.so.${SOVERSION} libmosquittopp.a

libmosquittopp.so.${SOVERSION} : mosquittopp.o
	${CROSS_COMPILE}$(CXX) -shared $(LIB_LDFLAGS) $< -o $@ ../libmosquitto.so.${SOVERSION}

libmosquittopp.a : mosquittopp.o
	${CROSS_COMPILE}$(AR) cr $@ $^

mosquittopp.o : mosquittopp.cpp mosquittopp.h
	${CROSS_COMPILE}$(CXX) $(LIB_CXXFLAGS) -c $< -o $@

=== debian/changelog ===
sp-oops-extract (0.0.7-1) unstable; urgency=low

  * Applied a patch that adds support for using char devices.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed,  4 Feb 2009 13:51:07 +0200

sp-oops-extract (0.0.6-2) unstable; urgency=low

  * The patch applied in 0.0.6-1 also fixed another bug. Fixes: NB#87076

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu, 31 Jul 2008 09:53:47 +0300

sp-oops-extract (0.0.6-1) unstable; urgency=low

  * Applied a patch to correct an issue in the MAGIC value checking.
    Fixes: NB#87221

 -- Eero Tamminen <eero.tamminen@nokia.com>  Wed, 30 Jul 2008 10:06:47 +0300

sp-oops-extract (0.0.5-1) unstable; urgency=low

  * Applied a patch that provides MAGIC value support for the oops
    extractor. Fixes: NB#81565

 -- Eero Tamminen <eero.tamminen@nokia.com>  Mon,  3 Mar 2008 10:56:36 +0200

sp-oops-extract (0.0.4-1) unstable; urgency=low

  * Fixed a potential signedness issue to ensure identical behavior on
    both x86 and ARM.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  7 Jun 2007 16:58:02 +0300

sp-oops-extract (0.0.3-1) unstable; urgency=low

  * Fixed some compilation warnings that showed up after adding -Wall
    compiler flag

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  7 Jun 2007 10:59:14 +0300

sp-oops-extract (0.0.2-1) unstable; urgency=low

  * Minor packaging tweaks
  * Fixes: NB#59817

 -- Eero Tamminen <eero.tamminen@nokia.com>  Thu,  7 Jun 2007 10:23:32 +0300

sp-oops-extract (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Eero Tamminen <eero.tamminen@nokia.com>  Fri,  1 Jun 2007 15:51:50 +0300

=== packaging/debian/changelog ===
syslog-ng (3.17.2-1) unstable; urgency=medium

  * Upstream upgrade to 3.17.2

 -- Laszlo Budai <laszlo.budai@balabit.com>  Wed, 09 Aug 2018 14:54:37 +0200

syslog-ng (3.17.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.17.1

 -- Laszlo Budai <laszlo.budai@balabit.com>  Wed, 08 Aug 2018 15:43:38 +0200

syslog-ng (3.16.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.16.1

 -- Laszlo Varady <laszlo.varady@balabit.com>  Wed, 13 Jun 2018 23:42:55 +0200

syslog-ng (3.15.1-1) unstable; urgency=medium

  * Upstream upgrade to 3.15.1

 -- Gergely Nagy <algernon@balabit.com>  Thu, 19 Apr 2018 10:29:20 +0200

syslog-ng (3.14.1-1) unstable; urgency=medium

  * upstream upgrade to 3.14.1

 -- Laszlo Budai <laszlo.budai@balabit.com>  Mon, 26 Feb 2018 13:19:38 +0100

syslog-ng (3.13.1-1) unstable; urgency=medium

  * upstream upgrade to 3.13.1

 -- Balazs Scheidler <balazs.scheidler@balabit.com>  Thu, 30 Nov 2017 21:17:14 -0800

syslog-ng (3.11.1-1) unstable; urgency=medium

  * test release

 -- Laszlo Budai <laszlo.budai@balabit.com>  Tue, 08 Aug 2017 11:37:22 +0200

syslog-ng (3.10.1-3) unstable; urgency=medium

  * [6318b4b] getent module conflicts with old incubator package.
    The getent module was moved from the incubator and therefore
    contains the same files. (Closes: #869159)

 -- SZALAY Attila <sasa@debian.org>  Tue, 25 Jul 2017 22:06:15 +0200

syslog-ng (3.10.1-2) unstable; urgency=medium

  * [a776121] Added new plugins.
      - getent
      - stardate
      - mod-value-pairs
      - snmptrapd-parser
  * [b030059] Added scl to the .install file
  * [e4f5ac4] Bump the debhelper compat level to 10
  * [4e27f27] Fixed debhelper dependency
  * [ff8e0ff] Install new scl files and explicitly mention skipped ones
  * [50b4c13] Fixed 32 bit compile issues.
    This patch is suggested by upstream in github issue 1545.
  * [ae5e271] Remove obsoleted files from debian/
  * [cccc2bb] Added the new packages to the testing
  * [8661982] Removed unneeded prebuild step

 -- SZALAY Attila <sasa@debian.org>  Tue, 04 Jul 2017 22:05:34 +0200

syslog-ng (3.10.1-1) unstable; urgency=medium

  * [e47c9a6] Re-generated openssl patch to make the gbp pq happy
    And a patch were a next session start before the previous
    is finished can be called weird anyway.
  * [114f0e0] Try again using tagged git release as orig.tar.gz
    Now, after some time I'm a bit more confident that using a naked git
    release is better than the full-featured and all-including release.
    First, it is much smaller.  Especially because it does not contain all
    of the third party libraries which are not used in Debian.  Second
    reason is that this can be followed much easily, because this is the
    same as any particular state in the git repo, so a snapshot can be more
    easily used if this is the daily routine.
  * [9c410bb] New upstream version 3.10.1 (closes: #866056)
  * [fa5c024] Preparing for upstream version 3.10.X
  * [c0f99c0] Updated the patches to the new upstream version
    This mainly means deleting patches which already
    merged upstream.
  * [a7b8153] Added new build dependency (autoconf-archive)
  * [9a197e2] Removed version fixation
  * [f52837d] Upgrade test config version
  * [bf45a65] Upgraded default config version to 3.10
  * [fc82e19] Added a new test to test the default config

 -- SZALAY Attila <sasa@debian.org>  Fri, 30 Jun 2017 22:15:28 +0200

syslog-ng (3.8.1-10) unstable; urgency=medium

  * Fix segfault in X509_STORE_CTX_get_app_data(ctx) (closes: #850743).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Feb 2017 08:34:41 +0000

syslog-ng (3.8.1-9) unstable; urgency=medium

  * Fix build with OpenSSL 1.1 (closes: #848786).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Dec 2016 10:44:32 +0000

syslog-ng (3.8.1-8) unstable; urgency=medium

  * [ee388fd] Declaring breaks because of file moving (Closes: 847708)
  * [1ebe21f] Switch to unstable repo
  * [18653b3] Added testing upgrade capability

 -- SZALAY Attila <sasa@debian.org>  Sun, 11 Dec 2016 18:32:35 +0100

syslog-ng (3.8.1-7) unstable; urgency=medium

  * [45109e3] Moved templates depending on json to mod-json (Closes: #845799)
  * [023a862] Added some more testcases to autopkg

 -- SZALAY Attila <sasa@debian.org>  Tue, 06 Dec 2016 23:44:35 +0100

syslog-ng (3.8.1-6) unstable; urgency=medium

  * [41f337f] Updated configuration.
    Removed the deprecated defines from scl.conf
    and upgraded the version of the configuration
    file. (Closes: #843937)

 -- SZALAY Attila <sasa@debian.org>  Fri, 18 Nov 2016 16:23:17 +0100

syslog-ng (3.8.1-5) unstable; urgency=medium

  * [05e9749] Revert export method to head.
    Much cleaner and can be changed in parameter list
    if needed
  * [6b49e04] Added basic test to check if syslog-ng can start
  * [80260f3] Added tzdata dependency, needed by a testcase.
    Because tzdata is neither essential nor build-essential
    package explicit build-dependency is needed. (Closes: #839449)
  * [e68e244] Upgraded ABI version to 3.8
  * [1241045] Temporally stay with the libssl-1.0 until upstream fix this
    (Closes: #828565)
  * [c8dc698] Added dependency to lsb-base as lintian suggested

 -- SZALAY Attila <sasa@debian.org>  Sat, 05 Nov 2016 19:09:39 +0100

syslog-ng (3.8.1-4) experimental; urgency=medium

  * [6b459d5] Bumped policy version to 3.9.8
  * [de6480c] Added patch to fix man page line breaking issue
  * [221a51e] Added new module: add-contextual-data
  * [6733853] Removing unnecessary parts.
    Removing commented out parts and also
    parts which are obsoleted.
  * [bb61029] Fixed Vcs field in debian/control
  * [3d07696] Changed export method to Workspace.
    With this change it is possible to build a debian package
    from syslog-ng with the help of git-buildpackage and without
    committing the change first.
  * [f7a25e3] Enforce re-generating the man pages
  * [abc4899] Remove unneeded files from build stage dir.


=== debian/control ===
Source: syslog-ng
Section: admin
Priority: extra
Maintainer: syslog-ng maintainers <syslog-ng-maintainers@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           SZALAY Attila <sasa@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-autoreconf,
               automake (>= 1:1.11.1),
               autoconf-archive,
               tzdata,
               pkg-config, flex, bison,
               xsltproc, docbook-xsl,
               libesmtp-dev,
               libivykis-dev (>= 0.36.1~),
               libnet1-dev,
               libglib2.0-dev,
               libdbi-dev | libdbi0-dev,
               libssl-dev,
               libmongoc-dev,
               libbson-dev,
               libjson-c-dev | libjson0-dev,
               libwrap0-dev,
               libpcre3-dev,
               libcap-dev [linux-any],
               dh-systemd (>= 1.3),
               libsystemd-daemon-dev [linux-any] | libsystemd-dev [linux-any],
               libsystemd-journal-dev (>= 195) | libsystemd-dev [linux-any],
               libgeoip-dev,
               libhiredis-dev,
               libriemann-client-dev (>= 1.6.0~),
               librabbitmq-dev (>= 0.5.3~),
               python, python-dev, pylint, dh-python,
               pep8 | python-pep8,
               python-setuptools,
               dh-exec,
               python-nose, python-ply,
               libxml2-utils, geoip-database,
               libcurl4-openssl-dev,
               libmaxminddb-dev,
               openjdk-7-jdk | openjdk-8-jdk,
               gradle (>=2.2.1)
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.8
Homepage: http://www.syslog-ng.org/
Vcs-Git: https://github.com/gcsideal/syslog-ng-debian.git
Vcs-Browser: https://github.com/gcsideal/syslog-ng-debian

Package: syslog-ng
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, syslog-ng-core (>= ${source:Upstream-Version}), ${sng:CoreModules}
Recommends: ${sng:Modules}
Description: Enhanced system logging daemon (metapackage)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package is a metapackage, depending on the rest of syslog-ng,
 including all available plugins. It can be safely removed, if only
 parts of syslog-ng need to be installed.

Package: syslog-ng-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: syslog-ng-core (= ${binary:Version}), ${misc:Depends}
Description: Enhanced system logging daemon (debug symbols)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains debug symbols for the whole of syslog-ng,
 including the modules.

Package: syslog-ng-dev
Section: libdevel
Architecture: any
Depends: syslog-ng-core (= ${binary:Version}),
 ${misc:Depends}, ${perl:Depends},
 pkg-config, perl, flex, bison,
 libglib2.0-dev, libivykis-dev (>= 0.30)
Description: Enhanced system logging daemon (development files)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package contains the headers and tools needed to build
 third-party plugins against syslog-ng, the next generation system
 logging daemon.

Package: syslog-ng-core
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10), lsb-base (>= 3.0-6)
Recommends: logrotate
Suggests: ${sng:CoreModules}, ${sng:Modules}
Provides: system-log-daemon, linux-kernel-log-daemon
Conflicts: system-log-daemon, linux-kernel-log-daemon
Replaces: syslog-ng (<< 3.3.0~), libsyslog-ng-dev, syslog-ng-mod-json (<< 3.13.1~)
Breaks: syslog-ng (<< 3.3.0~), libsyslog-ng-dev, syslog-ng-mod-json (<< 3.13.1~)
Description: Enhanced system logging daemon (core)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the core syslog-ng, with all the plugins
 required for a standard installation.

Package: syslog-ng-mod-mongodb
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mongodb-server
Description: Enhanced system logging daemon (MongoDB plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the MongoDB destination plugin, which allows
 one to log system messages to MongoDB.

Package: syslog-ng-mod-sql
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: syslog-ng-mod-mysql, syslog-ng-mod-pgsql, syslog-ng-mod-sqlite3, syslog-ng-mod-freetds
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to a multitude of SQL databases (including, but
 not limited to MySQL, PostgreSQL and SQLite).

Package: syslog-ng-mod-mysql
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-mod-sql, libdbd-mysql
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to MySQL databases.

Package: syslog-ng-mod-pgsql
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-mod-sql, libdbd-pgsql
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to PostgreSQL databases.

Package: syslog-ng-mod-sqlite3
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-mod-sql, libdbd-sqlite3
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to SQLite databases.

Package: syslog-ng-mod-freetds
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-mod-sql, libdbd-freetds
Description: Enhanced system logging daemon (SQL plugin)
 syslog-ng is an enhanced log daemon, supporting a wide range of input
 and output methods: syslog, unstructured text, message queues,
 databases (SQL and NoSQL alike) and more.
 .
 Key features:
 .
  * receive and send RFC3164 and RFC5424 style syslog messages
  * work with any kind of unstructured data
  * receive and send JSON formatted messages
  * classify and structure logs with builtin parsers (csv-parser(),
    db-parser(), etc.)
  * normalize, crunch and process logs as they flow through the system
  * hand on messages for further processing using message queues (like
    AMQP), files or databases (like PostgreSQL or MongoDB).
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to MSSql/FreeTDS databases.

Package: syslog-ng-mod-smtp
Architecture: any
Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/sp-oops-extract.sgml > sp-oops-extract.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sp-oops-extract.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sp-oops-extract


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman man/*
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
